Modify¶
POST /api/v1/notify_object/modify
Overview¶
Modify the specified notification target information.
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| notifyObjectUUID | string | Y | Notification target UUID Allow empty: False |
| name | string | Notification target name Allow empty: False |
|
| optSet | json | Notification settings Allow empty: False |
|
| openPermissionSet | boolean | Enable custom permission configuration, (default false: disabled). When enabled, the operation permissions for this rule are based on permissionSet. Allow empty: False |
|
| permissionSet | array | Operation permission configuration, configurable (role (except owner), member UUID, team UUID) Example: ['wsAdmin', 'acnt_xxxx', 'group_yyyy'] Allow empty: False |